#include "logger.h"
#include "pbar.h"
#include <stdio.h>

void logger(long int shot_number, 
	    char time_string[],
	    int event, 
	    char message[]) {
  

  FILE *fplog;
  
  fplog = fopen(FILENAME_EVENT_LOG, "a");
  if (fplog == NULL) {
    printf("*** WARNING, could not open error log\n");
  }
  
  else {
    fprintf(fplog,"RUN: %05li\t TIME: %s\t EVENT: %i\t %s\n",
	    shot_number, time_string, event, message);    
    fclose(fplog);
  }
}




void data_logger(long int shot_number, 
		 char time_string[],
		 float log_npbar,
		 float log_unidos,
		 float log_bcm,
		 float log_sci) {

  FILE *fplog;
  
  fplog = fopen(FILENAME_DATA_LOG, "a");
  if (fplog == NULL) {
    printf("*** WARNING, could not open data log\n");
  }
  
  else {
    fprintf(fplog,"%05li\t %s\t %e\t %e\t %e\t %e\n", 
	    shot_number, time_string, log_npbar, log_unidos, log_bcm, log_sci);
    fclose(fplog);
  }
}
